Subject: bug#32975: Emacs 26.1; GTK Warnings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Oct 2018 09:36:58 +0300

> From: Tjernlund <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 12 Oct 2018 07:31:15 +0200
> 
> > > >  > ;; Color settings.
> > > >  > (setq default-frame-alist '((background-color . "#333333") (foreground-color . "White") (cursor-color .
> > > > "White")))
> > > >  > (setq initial-frame-alist default-frame-alist)
> > > >  >
> > > >  > I think one of the should inherit the other.
> > > > 
> > > > Throw away the second form.  It's redundant.
> > > > 
> > > 
> > > But I cannot, the color settings will not work, just tried it to confirm.
> > 
> > How do you start Emacs?
> 
> Usually from the terminal, no args other than file names.

Any non-default command-line options?  Do you have something in your
~/.Xdefaults or in site-init file?  Anything else in your ~/.emacs or
other init files besides those two lines?

> Unless I have the new colors in both variables, it wont display the right colors.
> Just try with my values. Either the first or the second Frame gets different colors.

I just tried that, and I cannot reproduce what you describe.  The
first setting alone, for the default-frame-alist, is enough to set the
colors for the initial frame and all other frames I create.  As I
would expect, and as Martin said.  initial-frame-alist is only needed
if you want the initial frame to look different from all the rest.

So some other factor is at work here, most probably in your other
customizations.